﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;

namespace Crosshar_121246
{
    public class CustomCrossHairBehavior:ChartCrossHairBehavior
    {
        Rectangle rectanlge;
      
        protected override void SetPosition(System.Windows.Point point)
        {
           
            base.SetPosition(point);
            var x = (AdorningCanvas.Children[0] as Line).X1;
            var y = (AdorningCanvas.Children[1] as Line).Y1;
            Canvas.SetLeft(rectanlge, x-rectanlge.Width/2);
            Canvas.SetTop(rectanlge, y-rectanlge.Height/2);
          
        }
        protected override void AttachElements()
        {
            base.AttachElements();
            rectanlge = new Rectangle();
            rectanlge.Fill = Brushes.Red;
            rectanlge.Height = 10;
            rectanlge.Width = 10;
            rectanlge.Visibility = Visibility.Collapsed;
            AdorningCanvas.Children.Add(rectanlge);
        }

        protected override void OnMouseLeave(System.Windows.Input.MouseEventArgs e)
        {
            base.OnMouseLeave(e);
            rectanlge.Visibility = Visibility.Collapsed;
        }

        protected override void OnMouseEnter(System.Windows.Input.MouseEventArgs e)
        {
            base.OnMouseEnter(e);
            rectanlge.Visibility = Visibility.Visible;
        }

        protected override void OnMouseLeftButtonUp(System.Windows.Input.MouseButtonEventArgs e)
        {
            base.OnMouseLeftButtonUp(e);
            rectanlge.Visibility = Visibility.Collapsed;
        }
    
        protected override void OnMouseMove(System.Windows.Input.MouseEventArgs e)
        {
            base.OnMouseMove(e);
            rectanlge.Visibility = Visibility.Visible;
        }
    }

}
